/*
 * Sonar, entreprise quality control tool.
 * Copyright (C) 2007-2008 Hortis-GRC SA
 * mailto:be_agile HAT hortis DOT ch
 *
 * Sonar is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * Sonar is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with Sonar; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02
 */
package org.sonar.plugins.googleanalytics;

import org.sonar.plugins.api.*;

import java.util.ArrayList;
import java.util.List;

@EditableProperties({
  @EditableProperty(key=GoogleAnalyticsPlugin.PROP_KEY_ACCOUNT, defaultValue = "", name = "Account key", description = "Example : UA-1234567-8")
})
public class GoogleAnalyticsPlugin implements Plugin {
  public static final String PROP_KEY_ACCOUNT = "sonar.google-analytics.account";
  public static final String PROP_DEFAULT_VALUE_ACCOUNT = "";
  public static final String PLUGIN_KEY = "google-analytics";

  public String getKey() {
    return PLUGIN_KEY;
  }

  public String getName() {
    return "Google analytics";
  }

  public String getDescription() {
    return "Add <a href='http://www.google.com/analytics/'>Google analytics</a> statistics to monitor Sonar access.";
  }

  public List<Class<? extends Extension>> getExtensions() {
    List<Class<? extends Extension>> list = new ArrayList<Class<? extends Extension>>();
    list.add(GoogleAnalyticsWebFooter.class);
    return list;
  }

  public String toString() {
    return getKey();
  }  
}
